Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss
Class WSSecurityTokenReference

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.WSSElement
oracle.security.xmlsec.wss.WSSecurityTokenReference`

All Implemented Interfaces:
  oracle.security.xmlsec.keys.KeyInfoData

public class WSSecurityTokenReference
extends WSSElement
implements oracle.security.xmlsec.keys.KeyInfoData

This class represents the WSS SecurityTokenReference element for referencing security tokens.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`WSSecurityTokenReference(org.w3c.dom.Document owner)` Create a new `WSSecurityTokenReference` instance from the given XML element.
`WSSecurityTokenReference(org.w3c.dom.Element element)` Create a new `WSSecurityTokenReference` instance from the given XML element.
`WSSecurityTokenReference(org.w3c.dom.Element element, java.lang.String systemId)` Create a new `WSSecurityTokenReference` instance from the given XML element.

Method Summary
`static WSSecurityTokenReferenceType` | `createSTReference(org.w3c.dom.Element element)` Create a WSS security token reference mechanism.
`WSSecurityTokenReferenceType` | `getSTReference()` Get the underlying security token reference mechanism.
`java.lang.String` | `getType()` Get the type identifier.
`java.lang.String` | `getUsage()` Get the Usage attribute.
`void` | `setSTReference(WSSecurityTokenReferenceType ref)` Set the underlying security token reference mechanism.
`void` | `setUsage(java.lang.String usage)` Set the Usage attribute.

Methods inherited from class oracle.security.xmlsec.wss.WSSElement
`getId, getWsuId, setId, setWsuId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSSecurityTokenReference

    public WSSecurityTokenReference(org.w3c.dom.Element element)

  Create a new `WSSecurityTokenReference` instance from the given XML element.
Parameters:
  `element` - A wsse:SecurityTokenReference element.

### WSSecurityTokenReference

    public WSSecurityTokenReference(org.w3c.dom.Element element,
                                    java.lang.String systemId)

  Create a new `WSSecurityTokenReference` instance from the given XML element.
Parameters:
  `element` - A wsse:SecurityTokenReference element.
  `systemId` - The URI string system ID for this element.

### WSSecurityTokenReference

    public WSSecurityTokenReference(org.w3c.dom.Document owner)

  Create a new `WSSecurityTokenReference` instance from the given XML element.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.

Method Detail

### setUsage

    public void setUsage(java.lang.String usage)

  Set the Usage attribute.
  Parameters:
    `usage` - The wsse:Usage attribute value.

### getUsage

    public java.lang.String getUsage()

  Get the Usage attribute.
  Returns:
    The wsse:Usage attribute value.

### setSTReference

    public void setSTReference(WSSecurityTokenReferenceType ref)

  Set the underlying security token reference mechanism.
  Parameters:
    `ref` - The `WSSecurityTokenReferenceType` reference mechanism element.

### getSTReference

    public WSSecurityTokenReferenceType getSTReference()
                                                throws WSSException

  Get the underlying security token reference mechanism.
  Returns:
    The `WSSecurityTokenReferenceType`.
  Throws:
    `WSSException`

### getType

    public java.lang.String getType()

  Get the type identifier.
  Specified by:
    `getType` in interface `oracle.security.xmlsec.keys.KeyInfoData`
  Returns:
    `null`

### createSTReference

    public static WSSecurityTokenReferenceType createSTReference(org.w3c.dom.Element element)
                                                          throws WSSException

  Create a WSS security token reference mechanism.
  Parameters:
    `element` - The element representing a security token reference mechanism.
  Returns:
    The `WSSecurityTokenReferenceType` instance.
  Throws:
    `WSSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.